Subject: bug#23368: closed (Re: Solved! (Was: Re: bug#23368: 25.0.92; xftfont.c has got a bug))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 May 2016 10:53:02 +0000

Your bug report

#23368: 25.0.92; xftfont.c has got a bug

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23368: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23368
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Solved! (Was: Re: bug#23368: 25.0.92; xftfont.c has got a bug)
From: Eli Zaretskii <[email-masked]>
To: 野宮 賢 / NOMIYA Masaru <[email-masked]>
Cc: Kenichi Handa <[email-masked]>, [email-masked]
Date: Sat, 28 May 2016 13:52:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 28 May 2016 19:44:13 +0900
> From: 野宮　賢 / NOMIYA Masaru
>  <[email-masked]>
> 
> > Can you try the latest sources from the emacs-25 branch of the Emacs
> > repository, and see if setting xft-font-ascent-descent-override to a
> > non-nil value solves the problem even when fontconfig 2.11.1 is used?
> 
> Yes, solved!

Thanks.  So I'm marking the bug as done.

Subject: 25.0.92; xftfont.c has got a bug
From: Masaru Nomiya <[email-masked]>
To: [email-masked]
Date: Mon, 25 Apr 2016 15:02:40 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

With Emacs 25.0.92, Emacs 25.0.93, and Emacs 25.1.50, Emacs start to
use 100% CPU.
That is, afetr I start Wanderlust(MUA) on Emacs, and try to open some
folders in it, Emacs starts to use 100% CPU, and unresposible.

I investigated the latest Emacs with git bisect.
As a result, I found that xftfont.c has got a bug as follows.

--------------------------------------------------------------------
masaru@linux-uw5l:/tmp/tes/emacs> git checkout emacs-25
Branch emacs-25 set up to track remote branch emacs-25 from origin.
Switched to a new branch 'emacs-25'

masaru@linux-uw5l:/tmp/tes/emacs> git bisect start

masaru@linux-uw5l:/tmp/tes/emacs> git bisect bad

masaru@linux-uw5l:/tmp/tes/emacs> git bisect good emacs-25.0.91
Bisecting: 182 revisions left to test after this (roughly 8 steps)
[04f5525fbb961f6006280be340ca0f03df9e80a7] Make '.' associative, for easier sexp navigation

masaru@linux-uw5l:/tmp/tes/emacs> ./autogen.sh

masaru@linux-uw5l:/tmp/tes/emacs> ./configure

masaru@linux-uw5l:/tmp/tes/emacs> make bootstrap -j10

test --  NG

masaru@linux-uw5l:/tmp/tes/emacs> make clean

masaru@linux-uw5l:/tmp/tes/emacs> git bisect bad
Bisecting: 90 revisions left to test after this (roughly 7 steps)
[06a872b71d6580e0699600844bb9526602437990] Fix redisplay on a TTY after 'make-frame'
[...]
masaru@linux-uw5l:/tmp/tes/emacs> make bootstrap -j10

test  --  OK

masaru@linux-uw5l:/tmp/tes/emacs> make clean

masaru@linux-uw5l:/tmp/tes/emacs> git bisect good
Bisecting: 0 revisions left to test after this (roughly 1 step)
[ec10ef95cf2a5309ec7cb74f1383860a13daa546] * lisp/apropos.el (apropos-variable): Doc fix.  (Bug#22813).

masaru@linux-uw5l:/tmp/tes/emacs> make bootstrap -j10

test  --  NG

masaru@linux-uw5l:/tmp/tes/emacs> make clean

masaru@linux-uw5l:/tmp/tes/emacs> git bisect bad
Bisecting: 0 revisions left to test after this (roughly 0 steps)
[d2dd614716e34edb5891e58c029741cd6b32217d] Remove unneeded workaround in xftfont.c

---------------------------------------------------------------------

※ test = Start Emacs & Wanderlust, then try to open the folder in
Wanderlust. OK means "can open without any problem", NG means "Emacs
eat 100% CPU).

---
 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp